#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3300three4xi.py">
#<abstract4xi abstract = "fires to direction three and to distance 3300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3300three4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2three33004xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) - STUBS ONLY - ALL ARE IN FILES
# -------------------------------------------------------------------------------------------------    

shot2three33004xi = {
                1:'0x3203y-793z',
                2:'1002x3086y-599z',
                3:'1012x829y-3029z',
                4:'103x2968y-1438z',
                5:'1043x2866y-1257z',
                6:'1074x2663y-1624z',
                7:'1079x793y-3015z',
                8:'1080x2438y-1943z',
                9:'108x106y-3296z',
                10:'10x130y-3297z',
                11:'10x16y-3299z',
                12:'1144x752y-3002z',
                13:'1165x3034y-567z',
                14:'1196x2819y-1227z',
                15:'1215x2395y-1916z',
                16:'1219x2618y-1596z',
                17:'126x303y-3283z',
                18:'131x2598y-2189z',
                19:'131x863y-3182z',
                20:'1324x2974y-534z',
                21:'1348x2764y-1196z',
                22:'1349x2345y-1889z',
                23:'1362x2564y-1567z',
                24:'138x122y-3294z',
                25:'1480x2287y-1862z',
                26:'1480x2906y-502z',
                27:'1496x2700y-1165z',
                28:'1502x2503y-1537z',
                29:'156x325y-3280z',
                30:'1608x2221y-1834z',
                31:'1633x2828y-469z',
                32:'1639x2434y-1508z',
                33:'1642x2627y-1134z',
                34:'168x3206y-761z',
                35:'170x135y-3292z',
                36:'1734x2148y-1807z',
                37:'1774x2356y-1479z',
                38:'1781x2743y-436z',
                39:'1783x2547y-1103z',
                40:'183x886y-3173z',
                41:'1856x2068y-1779z',
                42:'189x346y-3276z',
                43:'1904x2271y-1449z',
                44:'191x2763y-1794z',
                45:'1921x2459y-1072z',
                46:'1925x2649y-404z',
                47:'1974x1980y-1751z',
                48:'2030x2179y-1419z',
                49:'204x145y-3290z',
                50:'2054x2363y-1041z',
                51:'2063x2548y-371z',
                52:'2088x1886y-1723z',
                53:'2151x2080y-1390z',
                54:'2182x2259y-1009z',
                55:'2196x2439y-338z',
                56:'2197x1785y-1695z',
                57:'21x162y-3295z',
                58:'224x363y-3272z',
                59:'2268x1973y-1360z',
                60:'2301x1677y-1667z',
                61:'2304x2149y-978z',
                62:'2323x2323y-305z',
                63:'2378x1860y-1329z',
                64:'237x906y-3164z',
                65:'2421x2032y-946z',
                66:'2443x2200y-272z',
                67:'2483x1741y-1299z',
                68:'2532x1908y-915z',
                69:'2557x2071y-240z',
                70:'260x2972y-1408z',
                71:'261x378y-3267z',
                72:'262x2532y-2099z',
                73:'2635x1777y-883z',
                74:'2664x1935y-207z',
                75:'294x923y-3154z',
                76:'2x98y-3298z',
                77:'300x389y-3263z',
                78:'31x42y-3299z',
                79:'336x3200y-729z',
                80:'338x2766y-1766z',
                81:'342x398y-3257z',
                82:'353x935y-3144z',
                83:'36x193y-3294z',
                84:'37x809y-3199z',
                85:'384x403y-3252z',
                86:'397x2535y-2073z',
                87:'414x944y-3134z',
                88:'417x2969y-1378z',
                89:'429x404y-3246z',
                90:'46x2751y-1821z',
                91:'474x402y-3240z',
                92:'477x949y-3124z',
                93:'485x2762y-1738z',
                94:'504x3185y-696z',
                95:'520x397y-3234z',
                96:'533x2531y-2048z',
                97:'541x950y-3113z',
                98:'54x223y-3291z',
                99:'54x66y-3298z',
                100:'567x387y-3227z',
                101:'574x2956y-1348z',
                102:'607x947y-3102z',
                103:'633x2750y-1710z',
                104:'670x2520y-2022z',
                105:'672x3161y-664z',
                106:'674x939y-3090z',
                107:'731x2935y-1318z',
                108:'741x926y-3079z',
                109:'75x251y-3289z',
                110:'781x2729y-1681z',
                111:'808x2500y-1995z',
                112:'809x909y-3067z',
                113:'80x87y-3297z',
                114:'838x3128y-632z',
                115:'83x837y-3190z',
                116:'877x887y-3054z',
                117:'888x2905y-1288z',
                118:'928x2700y-1653z',
                119:'944x2473y-1969z',
                120:'945x861y-3042z',
                121:'99x278y-3286z'}
                
 
# -----------------------------------------------------------------------------------------------------------
#<function4xi function = "fire3300three4xi" usage = "target function for chargethree4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -----------------------------------------------------------------------------------------------------------
def fire3300three4xi(queue2three, consumer_channel2three, publisher_channel2three):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3300THREE4XI - STARTED TIME: ", time2start) 
        # STARTED TIME:  03:13:12 08/31/10 Pacific Daylight Time 
        
        print("\n (STEP 1A2/33) OF FIRE3300THREE4XI -  QUEUE2THREE: ", queue2three)       
        # <queue4xi.Queue4Xi object at 0x02A975D0> OK
        
        print("\n (STEP 1A3/33) OF FIRE3300THREE4XI -  CONSUMER_CHANNEL2THREE: ", consumer_channel2three)
        # CONSUMER_CHANNEL2THREE:  <read-write PipeConnection, handle 272> OK
              
        print("\n (STEP 1A4/33) OF FIRE3300THREE4XI -  PUBLISHER_CHANNEL2THREE: ", publisher_channel2three)          
        # PUBLISHER_CHANNEL2THREE:  <read-write PipeConnection, handle 276> OK
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3300THREE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
        # <queue4xi.Queue4Xi object at 0x02A975D0>  - TIME:  04:22:51 08/31/10 Pacific Daylight Time OK
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2three.put(shot2three33004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3300THREE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " SHOT2THREE33004XI: ", shot2three33004xi, " - TIME: ", time4xi())   
            # (STEP 2B/33) OF FIRE3300THREE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE:  <queue4xi.Queue4Xi object at 0x02A975D0>  SHOT2THREE33004XI:  {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z', 5: '1043x2866y-1257z', 6: '1074x2663y-1624z', 7: '1079x793y-3015z', 8: '1080x2438y-1943z', 9: '108x106y-3296z', 10: '10x130y-3297z', 11: '10x16y-3299z', 12: '1144x752y-3002z', 13: '1165x3034y-567z', 14: '1196x2819y-1227z', 15: '1215x2395y-1916z', 16: '1219x2618y-1596z', 17: '126x303y-3283z', 18: '131x2598y-2189z', 19: '131x863y-3182z', 20: '1324x2974y-534z', 21: '1348x2764y-1196z', 22: '1349x2345y-1889z', 23: '1362x2564y-1567z', 24: '138x122y-3294z', 25: '1480x2287y-1862z', 26: '1480x2906y-502z', 27: '1496x2700y-1165z', 28: '1502x2503y-1537z', 29: '156x325y-3280z', 30: '1608x2221y-1834z', 31: '1633x2828y-469z', 32: '1639x2434y-1508z', 33: '1642x2627y-1134z', 34: '168x3206y-761z', 35: '170x135y-3292z', 36: '1734x2148y-1807z', 37: '1774x2356y-1479z', 38: '1781x2743y-436z', 39: '1783x2547y-1103z', 40: '183x886y-3173z', 41: '1856x2068y-1779z', 42: '189x346y-3276z', 43: '1904x2271y-1449z', 44: '191x2763y-1794z', 45: '1921x2459y-1072z', 46: '1925x2649y-404z', 47: '1974x1980y-1751z', 48: '2030x2179y-1419z', 49: '204x145y-3290z', 50: '2054x2363y-1041z', 51: '2063x2548y-371z', 52: '2088x1886y-1723z', 53: '2151x2080y-1390z', 54: '2182x2259y-1009z', 55: '2196x2439y-338z', 56: '2197x1785y-1695z', 57: '21x162y-3295z', 58: '224x363y-3272z', 59: '2268x1973y-1360z', 60: '2301x1677y-1667z', 61: '2304x2149y-978z', 62: '2323x2323y-305z', 63: '2378x1860y-1329z', 64: '237x906y-3164z', 65: '2421x2032y-946z', 66: '2443x2200y-272z', 67: '2483x1741y-1299z', 68: '2532x1908y-915z', 69: '2557x2071y-240z', 70: '260x2972y-1408z', 71: '261x378y-3267z', 72: '262x2532y-2099z', 73: '2635x1777y-883z', 74: '2664x1935y-207z', 75: '294x923y-3154z', 76: '2x98y-3298z', 77: '300x389y-3263z', 78: '31x42y-3299z', 79: '336x3200y-729z', 80: '338x2766y-1766z', 81: '342x398y-3257z', 82: '353x935y-3144z', 83: '36x193y-3294z', 84: '37x809y-3199z', 85: '384x403y-3252z', 86: '397x2535y-2073z', 87: '414x944y-3134z', 88: '417x2969y-1378z', 89: '429x404y-3246z', 90: '46x2751y-1821z', 91: '474x402y-3240z', 92: '477x949y-3124z', 93: '485x2762y-1738z', 94: '504x3185y-696z', 95: '520x397y-3234z', 96: '533x2531y-2048z', 97: '541x950y-3113z', 98: '54x223y-3291z', 99: '54x66y-3298z', 100: '567x387y-3227z', 101: '574x2956y-1348z', 102: '607x947y-3102z', 103: '633x2750y-1710z', 104: '670x2520y-2022z', 105: '672x3161y-664z', 106: '674x939y-3090z', 107: '731x2935y-1318z', 108: '741x926y-3079z', 109: '75x251y-3289z', 110: '781x2729y-1681z', 111: '808x2500y-1995z', 112: '809x909y-3067z', 113: '80x87y-3297z', 114: '838x3128y-632z', 115: '83x837y-3190z', 116: '877x887y-3054z', 117: '888x2905y-1288z', 118: '928x2700y-1653z', 119: '944x2473y-1969z', 120: '945x861y-3042z', 121: '99x278y-3286z'}  - TIME:  04:22:51 08/31/10 Pacific Daylight Time
            # OK BOTH QUEUE AND CONTENT
        
        ack2put = True
    except:
        print("\n (STEP 2D/33) OF FIRE3300THREE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3300THREE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4three = "<ack2put4xi>queue2three8shot2three33004xi</ack2put4xi>"
        else:
            message2send4three = "<nack2put4xi>queue2three<8shot2three33004xi/nack2put4xi>" 
            
        publisher_channel2three.send(message2send4three) 
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3300THREE4XI -  SENT MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi())  
            # (STEP 3B/33) OF FIRE3300THREE4XI -  SENT MESSAGE2SEND4THREE:  <ack2put4xi>queue2three8shot2three33004xi</ack2put4xi>  TO PUBLISHER_CHANNEL2THREE:  <read-write PipeConnection, handle 276>  - TIME:  04:22:51 08/31/10 Pacific Daylight Time
            # OK BOTH PIPE AND CONTENT


        
    except:
        print(" (STEP 3C/33) OF FIRE3300THREE4XI *** FAILED TO SEND MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3300THREE4XI - RETURNING QUEUE OBJECT QUEUE2THREE: ", queue2three, " - TIME: ", time4xi())  
        # 
            
    return queue2three    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3300three4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
                               
                